import sys
from PyQt4.QtCore import (QT_VERSION_STR, PYQT_VERSION_STR)
from PyQt4.QtGui import (QApplication, QTableView, QStandardItemModel, 
                         QStandardItem, QStyledItemDelegate)

class SimpleTable(QTableView):
    def __init__(self, parent = None):    
        QTableView.__init__(self, parent)
        model = QStandardItemModel()
        items = [QStandardItem('Sneeze') , QStandardItem('Cough') ]
        model.appendColumn(items)
        self.setModel(model)
        self.setItemDelegate(ShowOptionDelegate())
     
class ShowOptionDelegate(QStyledItemDelegate):
    def __init__(self, parent=None):
        QStyledItemDelegate.__init__(self, parent)

    def paint(self, painter, option, index):
        if index.column()==0 and index.row()==0:
            text = index.model().data(index) 
            print "\n\noption.text: '{0}'  (length {1})\nindex text: '{2}'  (length {3})".\
                format(option.text, len(option.text), text, len(text))
        QStyledItemDelegate.paint(self, painter, option, index)    
         
def main():
    app = QApplication(sys.argv)
    print "Qt version:", QT_VERSION_STR
    print "PyQt version: ", PYQT_VERSION_STR
    myTable = SimpleTable()
    myTable.show()
    sys.exit(app.exec_()) 
    
if __name__ == "__main__":
    main()
    